/*初始化方法执行 */
$(function(){
	
	
});


function skipPage(no){
	var serachType = $("#queryType").val();
	var serachContent = $("#serachContent").val();
	SkipByPost("hqApplicationQuery.do",{claimNo:no,serachType:serachType,serachContent:serachContent});
	
}


  function queryData() {
	if($("#content").val()==null || $("#content").val()==""){
		alert("查询条件不能为空！");
		$("#content").focus();
		return false;
	} else {
		
		findtask();
		
		
	}
  }
  
  function  findtask(){
	  if($("#queryType").val()=='1' || $("#queryType").val() == undefined){
		  	$("#queryType").val("1");
			if($("#content").val().length!=15){
				alert("赔案号长度必须为15位");
				return false;
			}
			$("#serachContent").val($("#content").val());
		}
	  
	  
	  if($("#queryType").val()=='2'){
			if($("#content").val().length!=18){
				alert("身份证长度必须为18位");
				return false;
			}
			$("#serachContent").val($("#content").val());
		}
	  
	  document.forms["queryForm"].submit();
	  
  }
  
  
  function changeValue(val) {
	  $("#queryType").val(val);
  }

  
  
  
  
  function gohistory(){
		var params={};
		params['content']=$("#serachContent").val();
		params['queryType']=$("#serachType").val();
		params['channelType']=$("#channelType").val();
	  
		SkipByPost("queryIcTaskData.do",params);
  }

  
  
  
  

  $(function(){
		
		$(".radio_yes,.radio_no").click(function(){ 
			if($(this).is(".radio_yes")){
				$(this).removeClass("radio_yes");
				$(this).addClass("radio_no"); 
			}

			if($(this).is(".radio_no")){
				var obj=  $(".radio_yes");
				obj.removeClass("radio_yes");          
				obj.addClass("radio_no"); 
				$(this).removeClass("radio_no");
				$(this).addClass("radio_yes");
				checkThisRadio($(this).attr("context")); 
			}
		});
		
		closeAll();
		$("#hbmc").hide();
		
		$("#id_1").click(function(){
			$("#hbmc").show();
		});
		$("#id_2").click(function(){
			$("#hbmc").hide();
		});
		$("#id_3").click(function(){
			$("#hbmc").hide();
		});
		$("#dgOne").click(function(){
			showOrClose();
		});
		
	}); 




	//得到选定的span元素所在的行并改变
	function getTabHangToChange(context,clmAuditCoopNo,underwritings,coopAppDate,coopFeedbackDate,feedbackUser,feedbackUserName){
		var hang = $(".radio_yes").parent("th").parent("tr").prevAll().length;

		var htmlStr='<th width="9%">'+
		'<span class="radio_yes" context="'+context+'" clmauditcoopno="'+clmAuditCoopNo+'" underwritings="'+underwritings+'"></span>'+
		'</th> <td width="25%" style="color:red;">申请日期： '+coopAppDate+'</td>'+
		'<td width="14%" style="color:red;">反馈日期： '+coopAppDate+'</td>'+
		'<td width="52%" style="color:red;">会签人员： '+feedbackUser +' '+feedbackUserName+'</td>';
			
		$("#SHcon3 tr:eq("+hang+")").html(htmlStr);
	}


	//单击新增按钮
	function checkAddBtn(){
		initCheckBox();
		closeAll();
		$(".bot_btn_13").show();
		$(".bot_btn_03").show();
		//会签类型选择核保会签
		$("#hqlx").html($("#id_1").html());
		$("#hbmc").show();
		//会签要求，结果置空且改变状态
		$("#textOne").val('');
		$("#textTwo").val('');
		$("#textOne").removeAttr("disabled");
		$("#textTwo").attr("disabled","disabled");
		//单选框情况重置
		initRadioBox();
		
		//先移除单击事件
		$(".check_yes,.check_no").unbind("click");
		$("#dgOne").unbind("click");
		
		//恢复单选框或复选框的单击绑定
		$("#dgOne").click(function(){
			showOrClose();
		});
		
		$(".check_yes,.check_no").bind("click", function(){
			  if($(this).is(".check_yes")){
					$(this).removeClass("check_yes");
					$(this).addClass("check_no"); 
				  
				  }
				  else{
						$(this).removeClass("check_no");
				        $(this).addClass("check_yes");
				}
		});	
		
	}



	//如果是核保会签，点击按钮显示可查看不可修改的信息层
	function setCheckBoxState(){
		 if(getRwxzNo($("#hqlx").html())=='1'){
			 $("#hbmc").show();
			 setCheckBox();
			 //移除复选框的单击事件
			 $("#noneDiv span").unbind("click");
			 //移除表格第一行的单击事件
			 $("#noneDiv th:eq(0)").unbind("click");
		 }else{
			 $("#hbmc").hide();
		 }
	}


	//单选按钮选定后
	function checkThisRadio(context){
		initCheckBox();
		$("#hbmc").hide();	
		var a = context.split("#");
		$("#hqlx").html(chooseRight(a[0]));
		$("#textOne").val(a[1]);
		$("#textTwo").val(a[2]);
		
		if(a[3]=='3'){
			$("#textOne").attr("disabled","disabled");
			$("#textTwo").attr("disabled","disabled");
			closeAll();
			removeSelectClass();
			
			if(a[0]=='1'){
				setCheckBoxState();
			}
			
		}else if(a[3]=='2'){
			showAll();
			
			$(".bot_btn_13").hide();
			$(".bot_btn_03").hide();
			$("#textTwo").removeAttr("disabled");
			$("#textOne").attr("disabled","disabled");
			removeSelectClass();
			
			if(a[0]=='1'){
				setCheckBoxState();
			}
			
			}else{
			showAll();
			$(".bot_btn_02").hide();
			$("#textOne").removeAttr("disabled");
			$("#textTwo").attr("disabled","disabled");
			//恢复下拉列表可选
			$("#hqlx + div").addClass("sel_list");
			//选定核保列表的值
			setCheckBox();
			if(a[0]=='1'){
				$("#hbmc").show();
				
			}
			//先移除单击事件
			$(".check_yes,.check_no").unbind("click");
			$("#dgOne").unbind("click");
			
			//恢复单选框或复选框的单击绑定
			$("#dgOne").click(function(){
				showOrClose();
			});
			
			$(".check_yes,.check_no").bind("click", function(){
				  if($(this).is(".check_yes")){
						$(this).removeClass("check_yes");
						$(this).addClass("check_no"); 
					  
					  }
					  else{
							$(this).removeClass("check_no");
					        $(this).addClass("check_yes");
					}
			});	
			
		}
	}


	//显示所有按钮
	function showAll(){
		$(".bot_btn_13").show();
		$(".bot_btn_03").show();
		$(".bot_btn_02").show();
	}
	//关闭所有按钮
	function closeAll(){
		$(".bot_btn_13").hide();
		$(".bot_btn_03").hide();
		$(".bot_btn_02").hide();
	}




	//获取会签类型内容
	function chooseRight(count){
		var name = $("#id_"+count).html();
		return name;
	}

	//使下拉列表不可编辑
	function removeSelectClass(){
		$("#hqlx + div").removeClass("sel_list");
	}


	//点击显示或关闭所有复选框
	function showOrClose(){
		var a;
		$("#noneDiv span").each(function(i){
			a=$(this).attr("class"); 
			if(i==0){
				if(a=='check_yes'){
					$(this).removeClass("check_no");
					$(this).addClass("check_yes");  
				}else{
					$(this).removeClass("check_yes");
					$(this).addClass("check_no"); 
				}
			}else{
				if(a=='check_yes'){
					$(this).removeClass("check_yes");
					$(this).addClass("check_no");
				}else{
					$(this).removeClass("check_no");
					$(this).addClass("check_yes"); 
				}
			}
		});
	}

	//初始化复选框，置为全选
	function initCheckBox(){
		$("#noneDiv span").each(function(){
			$(this).removeClass("check_no");
			$(this).addClass("check_yes");  
		});
	}


	//初始化单选框，置为全不选
	function initRadioBox(){
		$("#SHcon3 span").each(function(){
			if($(this).attr("class")=="radio_yes"){
				$(this).removeClass("radio_yes");
				$(this).addClass("radio_no"); 
			}
		});
	}





	//重置修改之后的信息
	function updateContext(context,clmAuditCoopNo,underwritings){
		 $(".radio_yes").removeAttr("context");
		 $(".radio_yes").removeAttr("clmAuditCoopNo");
		 $(".radio_yes").removeAttr("underwritings");
		 $(".radio_yes").attr("context",context);
		 $(".radio_yes").attr("clmAuditCoopNo",clmAuditCoopNo);
		 $(".radio_yes").attr("underwritings",underwritings);
	}


	function addNewTr(context,clmAuditCoopNo,underwritings,coopAppDate){
		var htmlStr='<tr id="hb_1"><th width="9%">'+
		'<span class="radio_yes" context="'+context+'" clmauditcoopno="'+clmAuditCoopNo+'" underwritings="'+underwritings+'"></span>'+
		'</th> <td width="25%" style="color:red;">申请日期： '+coopAppDate+'</td></tr>';
		var tab = $("#coopBody").html().replace("</tbody>",'');
		$("#coopBody").html(tab+htmlStr+'</tbody>');
	}



	//获取会签类型编号
	function getRwxzNo(text){
		var bh = '';
		if(text!=''&&text!=undefined){
			$("#SHcon3 li").each(function(){
			     if($(this).html()==text){
			    	 bh = $(this).attr("id").replace('id_','');
			     }
			});
		}
		return bh;
	}

	//获取json格式的保单信息（拼成json格式字符串）
	function getBdxxForJson(){
		var bdxx='';
		//{"policyNo":"'+type+'","classCode":"'+type+'"},{"policyNo":"'+type+'~","classCode":"'+type+'~"}
		var b=0;
		$("#noneDiv span").each(function(i){
			if(i>0){
				if($(this).attr('class')=='check_yes'){
					b++;
					if(b>1){
						bdxx+=",{";
					}
					bdxx+='"policyNo":"'+$(this).attr('poicyNo')+'","classCode":"'+$(this).attr('classCode')+'"}';
				}
			}
		});
		if(bdxx!=''){
			bdxx="{"+bdxx;
		}
		return bdxx;
	}


	//根据单选情况选择设置保单信息的值
	function setCheckBox(){
		var underwritings = $(".radio_yes").attr("underwritings");
		if(underwritings!=undefined&&underwritings!=''){
			//循环复选框的值并设置
			var underArr = underwritings.split(";");
			$("#noneDiv span").each(function(i){
				if(i>0){
					$(this).removeAttr("class");
					$(this).attr("class","check_no");
					for(var i=0;i<underArr.length;i++){
						if(underArr[i]==$(this).attr("classcode")){
							$(this).removeAttr("class");
							$(this).attr("class","check_yes");
						}	
					}
				}
			});
		}else{
			$("#noneDiv span").each(function(i){
				$(this).removeAttr("class");
				$(this).attr("class","check_no");
			});
		}
	}


